//********************jsfunction****************************
var iMask=0;
/*******************
发布页面初始化类目选择：只显示一级类目
_iMask：是否需要显示官方类目
*******************/
function uploadInit(_iMask){
	var j ;
	var label="";
	iMask = _iMask;
	for(j= 0 ; j < LData["c1"].length ; j++){
		if(iMask ==0 && arrData[LData["c1"][j]][2] & 0x08)
			continue;
		if(arrData[LData["c1"][j]][2] & 0x01)
			continue;
		label+="<div class='hasLeaf' id='"+LData["c1"][j]+ "' onclick=\"uploadChangeSort(1,this)\">"+arrData[LData["c1"][j]][0]+ "</div>";
	}
	$("sortShowC1").innerHTML=label;
	$("sortShowC1").style.backgroundColor="#ffffff";
	showSortNote(1);
}
/*******************		
显示当前选择的类目提示
sortLevel：类目级别
*******************/
function showSortNote(sortLevel){
		for(var i=1;i<=5;i++)
			$("sortNoteC"+i).style.visibility="hidden";
		$("sortNoteC"+sortLevel).style.visibility="";	
		for(i=sortLevel+1;i<=5;i++){
			$("c"+i).value="";
			$("sortShowC"+i).innerHTML="";
			$("sortShowC"+i).style.backgroundColor="#f7f7f7";
		}
}

/*******************
组合显示路径以及类目说明
*******************/
function showSortPath(sortLevel,sortId){
	$("c"+sortLevel).value=sortId;
	$("sortPath").style.display="";
	$("sortDesc").style.display="none";
	$("mutiClassInfoDiv").style.display="none";
	var nowSortPath="";
	for(var i=1;i<=sortLevel;i++)
		nowSortPath+=" >> "+arrData[$("c"+i).value][0];
	$("sortPathShow").innerHTML=nowSortPath.replace(" >> ","");
	if(arrDesc[sortId]){
		$("sortDesc").style.display="";
		$("sortDescShow").innerHTML=arrDesc[sortId];
	}
	if(!isLeaf(sortId)) 
		$("next").disabled=true;
	else $("next").disabled=false;
}

/*******************
根据类目id设置父类目值，用于搜索得到的类目以及曾经用过的类目
*******************/
function setSortPath(sortLevel,sortId){
	var lastLevel=sortLevel-1;
	var nowSort=sortId;
	$("c"+sortLevel).value=nowSort;
	while(arrData[nowSort][1]!=0){
		$("c"+lastLevel).value=arrData[nowSort][1];
		nowSort=arrData[nowSort][1];
		lastLevel--;
	}
}
/*******************
根据类目id找到类目级别
*******************/
function checkLevel(sortId){
	var nowLevel=1;
	while(arrData[sortId][1]!=0){
		nowLevel++;
		sortId=arrData[sortId][1];
	}
	return nowLevel;
}
/*******************
根据类目id得到路径，用于搜索
*******************/
function getPathString(sortId){
	var str="";
	while(arrData[sortId]){
		if(arrData[sortId][1]==0)
			str=arrData[sortId][0]+str;
		else
			str=" >> "+arrData[sortId][0]+str;
		sortId=arrData[sortId][1];
	}
	return str;
}
/*******************
选择下一级类目
sortLevel：类目级别
objSort：当前选中的类目
*******************/
function uploadChangeSort(sortLevel,objSort){
	if (!objSort){
		alert('所选类目可能已经更改，请重新选择！');
		return;
	}
	displayVirtualOption(arrData[objSort.id][2]);
	showJNetStock(objSort.id,sortLevel);
	/*显示路径并存储当前选中值*/
	showSortPath(sortLevel,objSort.id);
	uploadChangeItem(sortLevel+1,objSort);
	if(sortLevel==1){
		for(var j=0; j<LData["c1"].length;j++)
			if($(LData["c1"][j]))
				$(LData["c1"][j]).className=$(LData["c1"][j]).className.replace(" selectedSort","");
	} else {
		var nowSort=arrData[objSort.id][1];
		for(var j=0;NData[nowSort]&& j<NData[nowSort].length;j++){
			if($(NData[nowSort][j])){
				$(NData[nowSort][j]).className=$(NData[nowSort][j]).className.replace(" selectedSort","");
			}
		}
	}
	objSort.className=objSort.className+" selectedSort";
	var objC5=$("sortShowC5");
	if(objC5.innerHTML!="")
		$("showC5").style.display="";
	else $("showC5").style.display="none";
}

/*******************
显示某个类目的项目
sortLevel：类目级别
objSort：当前选中的类目
*******************/
function uploadChangeItem(sortLevel,objSort){
	var label="";
	var nowSort=objSort.id;
		/*复合类目*/
	displayMutiClassInfo(nowSort);
	for(var j=0;NData[nowSort]&& j<NData[nowSort].length;j++){
		/*拍拍网专用类目*/
		if(iMask ==0 && arrData[NData[nowSort][j]][2] & 0x08)
			continue;
		/*预删除类目*/
		if(arrData[NData[nowSort][j]][2] & 0x01)
			continue;
			

		if(!isLeaf(NData[nowSort][j]))
			label+="<div class='hasLeaf' id='"+NData[nowSort][j]+ "' onclick=\"uploadChangeSort("+sortLevel+",this);\">"+arrData[NData[nowSort][j]][0]+ "</div>";
		else
			label+="<div id='"+NData[nowSort][j]+ "' onclick=\"uploadChangeSort("+sortLevel+",this);\">"+arrData[NData[nowSort][j]][0]+ "</div>";
	}		
	if(label!=""){
		$("sortShowC"+sortLevel).innerHTML=label;
		$("sortShowC"+sortLevel).style.backgroundColor="#ffffff";
		showSortNote(sortLevel);	
	} else	 showSortNote(sortLevel-1);	
}

/*********************
提交查询相关类目
*********************/
function doSearch(){
		var sortKeyWord=document.ClassSearchFrom.ClassKeyWord.value;
		if(sortKeyWord==""){
			alert("请输入您要查找的商品类目");
			return false;
		}
		showSortResult();
		setTimeout("findClassesByWokrd('"+sortKeyWord+"')",500);
		setTimeout("rdCount(81,4,1)",1000);
		return false;
}
/*********************
隐藏查询结果
*********************/
function showSortResult(){
		$("ClassSearchResultDiv").style.display="";
		$("cancel").style.display="";
		$("uploadSort").style.display="none";
		$("sortPath").style.display="none";
		$("ClassSearchResultDiv").innerHTML='<div id="ClassSearchResultDivList"><div class="lineCenter fontGray" style="padding-top:90px"><img src="http://pics.paipai.com/common/icon/loading.gif" hspace="10" align="absmiddle" />搜索中……</div></div>';
}

function hideSortResult(){
		$("ClassSearchResultDiv").style.display="none";
		$("sortPath").style.display="none";
		$("cancel").style.display="none";
		$("uploadSort").style.display="";
}
/*********************
搜索结果单击的效果
*********************/
function clickAndSelect(sortId)
{
	var objId="s_"+sortId;
	var objs=$("ClassSearchResultDivList").childNodes;
	if(objs.length==0)
		return ;
	for (x  in objs){
		if(objs[x].id==objId){		
			objs[x].setAttribute("class", "selectedSort");
			objs[x].setAttribute("className", "selectedSort");
			sortLevel=checkLevel(sortId);
			setSortPath(sortLevel,sortId);
			showSortPath(sortLevel,sortId);
			showSortNote(sortLevel);
		} else objs[x].className="";
	}
	//禁止提交
//	document.form1.nex.tdisabled=false;
}
/*********************
搜索结果双击的效果
*********************/
function selectAndSubmit(val)
{
	if(isLeaf(val)) 
		document.form1.submit();	
}
/******************************
根据关键字搜索类目
*******************************/
function findClassesByWokrd(keyword){
	if(keyword.length<1)
		return ;
	var count=0;
	var ClassText=0;
	var ClassResultContainer=$("ClassSearchResultDiv");
	ClassResultContainer.innerHTML="";
	document.form1.next.disabled=true;
	var str="<div id='ClassSearchResultDivList'>";    
	for (id in arrData){    
	/*预删除类目*/
	if(arrData[id][2] & 0x01)
		continue;     
      var ic =  arrData[id][0].indexOf(keyword.toLowerCase());
      var iu =  arrData[id][0].indexOf(keyword.toUpperCase());
 		if((ic!=-1 || iu!=-1)&&isLeaf(id))
		{
 			ClassText=getPathString(id);
 			partern= new RegExp(keyword,"ig");
 			if(ic!=-1)
 				ClassText=ClassText.replace(partern,"<span class='fontOrange'>"+keyword.toLowerCase()+"</span>"); 
 			else
 				ClassText=ClassText.replace(partern,"<span class='fontOrange'>"+keyword.toUpperCase()+"</span>"); 	
 			str+="<div id=\"s_"+id+"\" onclick=\"clickAndSelect("+id+")\" ondblclick=\"selectAndSubmit("+id+")\">"+ClassText+"</div>"; 			
 			count++;
 		}
	}  
	if(count ==0)
		str+="<div class='lineCenter fontGray' style='padding-top:90px'>很抱歉，您查找的类目不存在，请您重新输入！</div>";
	str+="</div>";
	ClassResultContainer.innerHTML=str;
}  
/***********
用户用过的类目
***********/
function usedChangeSort(sortId){
	var sortLevel=checkLevel(sortId);
	var lastLevel=sortLevel-1;
	var nowSort=sortId;
	var arrSortPath=[];
	arrSortPath[sortLevel]=nowSort;
	while(arrData[nowSort][1]!=0){
		arrSortPath[lastLevel]=arrData[nowSort][1];
		nowSort=arrData[nowSort][1];
		lastLevel--;
	}	
	for(var i=1;i<=sortLevel;i++){
		if($(arrSortPath[i]))
			uploadChangeSort(i,$(arrSortPath[i]));
		else {
				alert('所选类目可能已经更改，请重新选择！');
				return;
		}
	}
}
/*******************
在网页上显示虚拟类目的相关信息
val：相应类目的属性
*******************/
function displayVirtualOption(val){
	var obj=$("VirtualBoxDiv");
	var cboxObj=$("puteVirtual");
	obj.style.display=(val&0x04 || val & 0x02)?"":"none";
	if(val & 0x02)	{
		cboxObj.checked=true;
		cboxObj.disabled=true;
	} else	{	
		if(obj.style.display =="none" )
			cboxObj.checked=false;
		cboxObj.disabled=false;
	}
}
/*******************
显示复合（映射）类目的信息
formobj：表单名
sortId：类目
*******************/
function displayMutiClassInfo(sortId){
	var str="";
	var values=[];
	var objMuti=$("mutiClassInfoDiv");
	if(sortId!=0 && isLeaf(sortId)){
		for(var i=0;i<5;i++)
			values[i]=$("c"+(i+1)).value;	
		for(i=4;i>0;i--){
			for(var j=0;j<MutiData.length;j++){
				/*该类目是被映射类目，并且该类目的上一层目录不是实体类目才提示*/
					if(values[i]!="" && MutiData[j] == values[i] &&  values[i-1] != arrData[values[i]][1]) {
						objMuti.style.display="";
						objMuti.innerHTML="此类目和“"+getPathString(sortId)+"”相关联，商品上架后，在两个类目下都能被搜索和浏览到！"
						return ;
					}
			}
		}
	}
}
/*******************
检查是否叶子节点
*******************/
function  isLeaf(val){
	try	{
		if(!NData[val] || NData[val].length==0)
			return true;
		for(var i=0;i<NData[val].length;i++)	{
		/*如果子类目有一个不是预删除，就不是叶子节点*/
			if(!(arrData[NData[val][i]][2] & 0x01))
				return false;
		}
		return true;
	}	catch(e)	{
		return true;
	}
}

function onChangeJNetStock(){
	var oC1 = $("c1");
	var oC2 = $("c2");
	var oC3 = $("c3");
	
	if(showJNetStock(oC1.value,1)) return;
	if(showJNetStock(oC2.value,2)) return;
	if(showJNetStock(oC3.value,3)) return;	
}

function showJNetStock(sortId,sortLevel){
	var aryLen = aryJNet.length;
	var oLink = $("JNetStockLink");
	var oDiv = $("DivJNetStockLink");
	if( oDiv  ==  null || oLink == null) 
		return false;	
	if(null == sortLevel) sortLevel = aryLen;
	var bShow = 0;
	if( bIdAuthed == 1){
		if(arrData[sortId] && (arrData[sortId][2] & 0x80)){
  			if(bJNetAuthed)
			{
				oLink.href = "http://pay.paipai.com/cgi-bin/pay_jump_jnet?Ptype=1";
				bShow = 1;
			}
			else if(iSellerCredit >= 200 || bAuthAutoCard) 
			{
				oLink.href = "http://pay.paipai.com/cgi-bin/pay_jump_jnet";
				bShow = 1;
			}


		}
	}
	if( bShow){
		oDiv.style.display = "";
		return true;
	} else {
		oDiv.style.display = "none";
		return false;
	}
}

function setLastClass(sortId){
	  if( 0 == sortId)	{
			var oUsedType = $("old_commodity_type");
			if(oUsedType.options.length  > 1){
				oUsedType.options[1].selected = true;
				sortId = oUsedType.options[1].value;
				usedChangeSort(sortId);
			}
	  } else usedChangeSort(sortId);
}

/*******************
高级搜索页面初始化类目选择表单
formName：表示表单名
*******************/
function searchInit(){
	var curSelect,selectOption;
	var i , j ;
	curSelect=$("c1");
	for(j= 0 ; j < LData["c1"].length ; j++){
		selectOption = new Option(arrData[LData["c1"][j]][0],LData["c1"][j]);
		curSelect.options[curSelect.options.length] = selectOption ;
	}
	curSelect.selectedIndex=-1;
}

function searchChangeSort(sortLevel,objSort){
	var curSelect;
	if (!objSort) {
		alert('obj not found!');
		return;
	}
	for(var i=sortLevel+1;i<=5;i++){
		curSelect =$("c"+i);
		curSelect.length =0;
		curSelect.style.display="none";
	}	
	searchChangItem(sortLevel+1,objSort);
}

/*******************
用户点击选择某类目的执行函数
sortLevel：类目级别
*******************/
function searchChangItem(sortLevel,objSort){
	var curSelect,selectOption;
	var sortId=objSort.value;
	curSelect=$("c"+sortLevel);
	if(NData[sortId]){
		for(var i= 0 ; i< NData[sortId].length ; i++){
			selectOption = new Option(arrData[NData[sortId][i]][0],NData[sortId][i]);
			curSelect.options[curSelect.options.length] = selectOption ;
		}
		curSelect.selectedIndex=-1;
		curSelect.style.display="";
	}
}